{ config, pkgs, ... }:

{
    programs.mpv = {
        enable = true;
        config = {
            osc = "no";
            save-position-on-quit = "yes";
            sub-auto = "fuzzy";
            profile = "gpu-hq";
            scale = "ewa_lanczossharp";
            cscale = "ewa_lanczossharp";
            video-sync = "display-resample";
            interpolation = "true";
            tscale = "oversample";
            hwdec = "auto";
            force-window = "yes";
            Idle = {
                profile-cond = "p[\"idle-active\"]";
                profile-restore = "copy-equal";
                title = "' '";
                keepaspect = "no";
                background = 1;
            };
        };
    };
}
